#!/bin/bash

# Ruta donde se van a almacenar los logs
PATH_LOG=/var/log/SincroHCE

# Ruta donde se encuentras los fuentes y librerías liberadas
PATH_GX=/home/genexus/SincroHCE3.7

# Contraseña del trustore
PASSWORD_TRUSTSTORE=prestador1.123

# Contraseña del keystore
PASSWORD_KEYSTORE=prestador1.123

# Archivo trustStore (ruta+archivo)
FILE_TRUSTSTORE=/opt/jboss/domain/configuration/prestador1-truststore.jks

# Archivo keystore (ruta+archivo)
FILE_KEYSTORE=/opt/jboss/domain/configuration/prestador1-keystore.jks

LOGFILE=$PATH_LOG/prcSincroHCE_CDA_$(date +"%Y_%m_%d").log

JAVA_CLASSPATH="lib/*:sincroHCE.jar:"

function EnviaLog {
	FECHA=`date +%d-%m-%y" ("%H:%M:%S") - "`
	echo -e "$FECHA $1 \n" >> $LOGFILE
}

EnviaLog "Inicia el proceso de envio de CDAs";
java -Xmx512m -cp $JAVA_CLASSPATH -Djavax.net.ssl.trustStore="$FILE_TRUSTSTORE" -Djavax.net.ssl.trustStorePassword=$PASSWORD_TRUSTSTORE -Djavax.net.ssl.keyStore="$FILE_KEYSTORE" -Djavax.net.ssl.keyStorePassword=$PASSWORD_KEYSTORE com.sincrohce.aenviocda  >> $LOGFILE 2>&1
EnviaLog "Finalizó el proceso de envio de CDAs";

rm PublicTempStorage/*.tmp
exit 0

